# -*- encoding: utf-8 -*-
# frozen_string_literal: true
# This file generated automatically from https://www.w3.org/ns/credentials/v2
require 'json/ld'
class JSON::LD::Context
  add_preloaded("https://www.w3.org/ns/credentials/v2") do
    new(processingMode: "json-ld-1.1", term_definitions: {
      "..." => TermDefinition.new("...", id: "https://www.iana.org/assignments/jwt#...", protected: true),
      "BitstringStatusList" => TermDefinition.new("BitstringStatusList", id: "https://www.w3.org/ns/credentials/status#BitstringStatusList", context: {"@protected"=>true, "id"=>"@id", "type"=>"@type", "encodedList"=>{"@id"=>"https://www.w3.org/ns/credentials/status#encodedList", "@type"=>"https://w3id.org/security#multibase"}, "statusMessage"=>{"@id"=>"https://www.w3.org/ns/credentials/status#statusMessage", "@context"=>{"@protected"=>true, "id"=>"@id", "type"=>"@type", "message"=>"https://www.w3.org/ns/credentials/status#message", "status"=>"https://www.w3.org/ns/credentials/status#status"}}, "statusPurpose"=>"https://www.w3.org/ns/credentials/status#statusPurpose", "statusReference"=>{"@id"=>"https://www.w3.org/ns/credentials/status#statusReference", "@type"=>"@id"}, "statusSize"=>{"@id"=>"https://www.w3.org/ns/credentials/status#statusSize", "@type"=>"https://www.w3.org/2001/XMLSchema#positiveInteger"}, "ttl"=>"https://www.w3.org/ns/credentials/status#ttl"}, protected: true),
      "BitstringStatusListCredential" => TermDefinition.new("BitstringStatusListCredential", id: "https://www.w3.org/ns/credentials/status#BitstringStatusListCredential", simple: true, protected: true),
      "BitstringStatusListEntry" => TermDefinition.new("BitstringStatusListEntry", id: "https://www.w3.org/ns/credentials/status#BitstringStatusListEntry", context: {"@protected"=>true, "id"=>"@id", "type"=>"@type", "statusListCredential"=>{"@id"=>"https://www.w3.org/ns/credentials/status#statusListCredential", "@type"=>"@id"}, "statusListIndex"=>"https://www.w3.org/ns/credentials/status#statusListIndex", "statusPurpose"=>"https://www.w3.org/ns/credentials/status#statusPurpose"}, protected: true),
      "DataIntegrityProof" => TermDefinition.new("DataIntegrityProof", id: "https://w3id.org/security#DataIntegrityProof", context: {"@protected"=>true, "id"=>"@id", "type"=>"@type", "challenge"=>"https://w3id.org/security#challenge", "created"=>{"@id"=>"http://purl.org/dc/terms/created", "@type"=>"http://www.w3.org/2001/XMLSchema#dateTime"}, "cryptosuite"=>{"@id"=>"https://w3id.org/security#cryptosuite", "@type"=>"https://w3id.org/security#cryptosuiteString"}, "domain"=>"https://w3id.org/security#domain", "expires"=>{"@id"=>"https://w3id.org/security#expiration", "@type"=>"http://www.w3.org/2001/XMLSchema#dateTime"}, "nonce"=>"https://w3id.org/security#nonce", "previousProof"=>{"@id"=>"https://w3id.org/security#previousProof", "@type"=>"@id"}, "proofPurpose"=>{"@id"=>"https://w3id.org/security#proofPurpose", "@type"=>"@vocab", "@context"=>{"@protected"=>true, "id"=>"@id", "type"=>"@type", "assertionMethod"=>{"@id"=>"https://w3id.org/security#assertionMethod", "@type"=>"@id", "@container"=>"@set"}, "authentication"=>{"@id"=>"https://w3id.org/security#authenticationMethod", "@type"=>"@id", "@container"=>"@set"}, "capabilityDelegation"=>{"@id"=>"https://w3id.org/security#capabilityDelegationMethod", "@type"=>"@id", "@container"=>"@set"}, "capabilityInvocation"=>{"@id"=>"https://w3id.org/security#capabilityInvocationMethod", "@type"=>"@id", "@container"=>"@set"}, "keyAgreement"=>{"@id"=>"https://w3id.org/security#keyAgreementMethod", "@type"=>"@id", "@container"=>"@set"}}}, "proofValue"=>{"@id"=>"https://w3id.org/security#proofValue", "@type"=>"https://w3id.org/security#multibase"}, "verificationMethod"=>{"@id"=>"https://w3id.org/security#verificationMethod", "@type"=>"@id"}}, protected: true),
      "EnvelopedVerifiableCredential" => TermDefinition.new("EnvelopedVerifiableCredential", id: "https://www.w3.org/2018/credentials#EnvelopedVerifiableCredential", simple: true, protected: true),
      "EnvelopedVerifiablePresentation" => TermDefinition.new("EnvelopedVerifiablePresentation", id: "https://www.w3.org/2018/credentials#EnvelopedVerifiablePresentation", simple: true, protected: true),
      "JsonSchema" => TermDefinition.new("JsonSchema", id: "https://www.w3.org/2018/credentials#JsonSchema", context: {"@protected"=>true, "id"=>"@id", "type"=>"@type", "jsonSchema"=>{"@id"=>"https://www.w3.org/2018/credentials#jsonSchema", "@type"=>"@json"}}, protected: true),
      "JsonSchemaCredential" => TermDefinition.new("JsonSchemaCredential", id: "https://www.w3.org/2018/credentials#JsonSchemaCredential", simple: true, protected: true),
      "VerifiableCredential" => TermDefinition.new("VerifiableCredential", id: "https://www.w3.org/2018/credentials#VerifiableCredential", context: {"@protected"=>true, "id"=>"@id", "type"=>"@type", "confidenceMethod"=>{"@id"=>"https://www.w3.org/2018/credentials#confidenceMethod", "@type"=>"@id"}, "credentialSchema"=>{"@id"=>"https://www.w3.org/2018/credentials#credentialSchema", "@type"=>"@id"}, "credentialStatus"=>{"@id"=>"https://www.w3.org/2018/credentials#credentialStatus", "@type"=>"@id"}, "credentialSubject"=>{"@id"=>"https://www.w3.org/2018/credentials#credentialSubject", "@type"=>"@id"}, "description"=>"https://schema.org/description", "evidence"=>{"@id"=>"https://www.w3.org/2018/credentials#evidence", "@type"=>"@id"}, "issuer"=>{"@id"=>"https://www.w3.org/2018/credentials#issuer", "@type"=>"@id"}, "name"=>"https://schema.org/name", "proof"=>{"@id"=>"https://w3id.org/security#proof", "@type"=>"@id", "@container"=>"@graph"}, "refreshService"=>{"@id"=>"https://www.w3.org/2018/credentials#refreshService", "@type"=>"@id"}, "relatedResource"=>{"@id"=>"https://www.w3.org/2018/credentials#relatedResource", "@type"=>"@id"}, "renderMethod"=>{"@id"=>"https://www.w3.org/2018/credentials#renderMethod", "@type"=>"@id"}, "termsOfUse"=>{"@id"=>"https://www.w3.org/2018/credentials#termsOfUse", "@type"=>"@id"}, "validFrom"=>{"@id"=>"https://www.w3.org/2018/credentials#validFrom", "@type"=>"http://www.w3.org/2001/XMLSchema#dateTime"}, "validUntil"=>{"@id"=>"https://www.w3.org/2018/credentials#validUntil", "@type"=>"http://www.w3.org/2001/XMLSchema#dateTime"}}, protected: true),
      "VerifiablePresentation" => TermDefinition.new("VerifiablePresentation", id: "https://www.w3.org/2018/credentials#VerifiablePresentation", context: {"@protected"=>true, "id"=>"@id", "type"=>"@type", "holder"=>{"@id"=>"https://www.w3.org/2018/credentials#holder", "@type"=>"@id"}, "proof"=>{"@id"=>"https://w3id.org/security#proof", "@type"=>"@id", "@container"=>"@graph"}, "termsOfUse"=>{"@id"=>"https://www.w3.org/2018/credentials#termsOfUse", "@type"=>"@id"}, "verifiableCredential"=>{"@id"=>"https://www.w3.org/2018/credentials#verifiableCredential", "@type"=>"@id", "@container"=>"@graph", "@context"=>nil}}, protected: true),
      "_sd" => TermDefinition.new("_sd", id: "https://www.iana.org/assignments/jwt#_sd", type_mapping: "@json", protected: true),
      "_sd_alg" => TermDefinition.new("_sd_alg", id: "https://www.iana.org/assignments/jwt#_sd_alg", protected: true),
      "aud" => TermDefinition.new("aud", id: "https://www.iana.org/assignments/jwt#aud", type_mapping: "@id", protected: true),
      "cnf" => TermDefinition.new("cnf", id: "https://www.iana.org/assignments/jwt#cnf", context: {"@protected"=>true, "kid"=>{"@id"=>"https://www.iana.org/assignments/jwt#kid", "@type"=>"@id"}, "jwk"=>{"@id"=>"https://www.iana.org/assignments/jwt#jwk", "@type"=>"@json"}}, protected: true),
      "description" => TermDefinition.new("description", id: "https://schema.org/description", simple: true, protected: true),
      "digestMultibase" => TermDefinition.new("digestMultibase", id: "https://w3id.org/security#digestMultibase", type_mapping: "https://w3id.org/security#multibase", protected: true),
      "digestSRI" => TermDefinition.new("digestSRI", id: "https://www.w3.org/2018/credentials#digestSRI", type_mapping: "https://www.w3.org/2018/credentials#sriString", protected: true),
      "exp" => TermDefinition.new("exp", id: "https://www.iana.org/assignments/jwt#exp", type_mapping: "https://www.w3.org/2001/XMLSchema#nonNegativeInteger", protected: true),
      "iat" => TermDefinition.new("iat", id: "https://www.iana.org/assignments/jwt#iat", type_mapping: "https://www.w3.org/2001/XMLSchema#nonNegativeInteger", protected: true),
      "id" => TermDefinition.new("id", id: "@id", simple: true, protected: true),
      "iss" => TermDefinition.new("iss", id: "https://www.iana.org/assignments/jose#iss", type_mapping: "@id", protected: true),
      "jku" => TermDefinition.new("jku", id: "https://www.iana.org/assignments/jose#jku", type_mapping: "@id", protected: true),
      "kid" => TermDefinition.new("kid", id: "https://www.iana.org/assignments/jose#kid", type_mapping: "@id", protected: true),
      "mediaType" => TermDefinition.new("mediaType", id: "https://schema.org/encodingFormat", protected: true),
      "name" => TermDefinition.new("name", id: "https://schema.org/name", simple: true, protected: true),
      "nbf" => TermDefinition.new("nbf", id: "https://www.iana.org/assignments/jwt#nbf", type_mapping: "https://www.w3.org/2001/XMLSchema#nonNegativeInteger", protected: true),
      "sub" => TermDefinition.new("sub", id: "https://www.iana.org/assignments/jose#sub", type_mapping: "@id", protected: true),
      "type" => TermDefinition.new("type", id: "@type", simple: true, protected: true),
      "x5u" => TermDefinition.new("x5u", id: "https://www.iana.org/assignments/jose#x5u", type_mapping: "@id", protected: true)
    })
  end
end
